<?php

namespace App\Helpers;

use Illuminate\Support\Facades\Log;
use Iterator;
use League\Csv\Exception;
use League\Csv\InvalidArgument;
use League\Csv\Reader;

class CsvHelper
{
    public static function getRecords($filePath): Iterator {
        $csv = Reader::createFromPath(resource_path($filePath), 'r');
        try {
            $csv->setDelimiter("|");
            $csv->setEnclosure("'");
            $csv->setHeaderOffset(0);
            return $csv->getRecords();
        } catch (InvalidArgument|Exception $e) {
            Log::error($e->getMessage());
            return null;
        }
    }

}
